Skip to content

Get supplierclients ​

GET
/v1/suppliers/supplierclient

Get a list of supplierclients

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
supplier_id

supplier_id to filter on

Type
string
Default
null
client_status

client status

Type
string
Default
null
email

supplierclient email

Type
string
Default
null

Responses​

OK

application/json
JSON
{
  
"supplierclients": [
  
  
{
  
  
  
"supplierclient_id": "string",
  
  
  
"supplier_id": "string",
  
  
  
"email": "string",
  
  
  
"client_status": "string",
  
  
  
"roles": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"label": "string",
  
  
  
"created": null,
  
  
  
"updated": null,
  
  
  
"deleted": null
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​